Name:           nuvolaplayer
Version:        2.5
Release:        1%{?dist}
# package contains different license types, see file COPYRIGHT
License:        LGPLv3+ and LGPLv2+ and BSD
Summary:        Cloud Music Integration for your Linux Desktop
URL:            http://nuvolaplayer.fenryxo.cz/home.html
Source:         https://launchpad.net/nuvola-player/2.5.x/2.5.0/+download/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gnome-python2-rsvg
BuildRequires:  gstreamer1-devel
BuildRequires:  intltool
BuildRequires:  json-glib-devel
BuildRequires:  libdbusmenu-gtk2-devel
BuildRequires:  libgee06-devel
BuildRequires:  libnotify-devel
BuildRequires:  librsvg2-devel
BuildRequires:  librsvg2-tools
BuildRequires:  libsoup
BuildRequires:  notification-daemon
BuildRequires:  unique-devel
BuildRequires:  vala-devel
BuildRequires:  waf
BuildRequires:  webkitgtk3-devel
BuildRequires:  xorg-x11-utils
BuildRequires:  xorg-x11-server-Xvfb

Requires:       control-center-filesystem
Requires:       tsocks


%description
Nuvola Player runs web interface of cloud music service in its own window
and provides integration with a Linux Desktop(multimedia keys, system tray,
media player applets, dock menu, notifications and more). Currently
supported services are Google Music, Grooveshark, Hype Machine and 8tracks.

%prep
%setup -q
%if 0%{?fedora} > 21
sed -i -e 's@VERSION="1.7.6"@VERSION="1.8.4"@g' waf
sed -i -e 's@WAFVERSION="1.7.6"@WAFVERSION="1.8.4"@g' waflib/Context.py
%else
sed -i -e 's@VERSION="1.7.6"@VERSION="1.7.16"@g' waf
sed -i -e 's@WAFVERSION="1.7.6"@WAFVERSION="1.7.16"@g' waflib/Context.py
%endif


%build
export RSVG=/usr/bin/rsvg-convert
waf configure --prefix=%{_prefix}   \
              --libdir=%{_libdir}   \
              --no-unity-quick-list \
              --no-svg-optimization \
              --debug-symbols       \
              --with-gstreamer=1.0
xvfb-run -a waf build --prefix=%{_prefix} \
                      --libdir=%{_libdir}

%install
waf install --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --destdir=%{buildroot}

desktop-file-install                                    \
--add-category="AudioVideo"                             \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}%{_datadir}/applications/%{name}.desktop

# fix dangling-relative-symlink /usr/bin/nuvolaplayer ../lib/nuvolaplayer/nuvolaplayer.tsocks
rm %{buildroot}%{_bindir}/%{name}
ln -s %{_libdir}/nuvolaplayer/nuvolaplayer.tsocks %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc README COPYRIGHT CHANGELOG licenses/*.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_datadir}/applications/%{name}.desktop
%exclude %{_datadir}/gnome-control-center/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_libdir}/libnuvolaplayerprivate.so
%{_libexecdir}/nuvolaplayer/webkitgtkframe


%changelog
* Wed Dec 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Wed Oct 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.3-3
- fixed 'if' conditions
- added configure flag '--debug-symbols' to build with debug infos

* Tue Oct 14 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.3-2
- added 'if' conditions to fix f22 build

* Sun Sep 07 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.3-1
- Update to 2.4.1
- reenabled lastfm build, because it's fixed in new release

* Thu Sep 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-5
- added ldconfig back again due of Packaging:Guidelines#Shared_Libraries

* Wed Sep 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-4
- added license files described in license tag
- removed ldconfig

* Sat Aug 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-3
- dropped BR unique
- disabled lastfm build

* Fri Aug 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-2
- added BR libsoup

* Fri Jul 18 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.2-1
- Update to 2.4.2

* Tue Jul 08 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1

* Sun Jun 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.4.0-1
- Update to 2.4.0

* Thu May 29 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-2
- replaced %%RPM_BUILD_ROOT by %%{buildroot}
- delete BR bzr
- added /sbin/ldconfig calls in %%post and %%postun

* Sun May 04 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.3-1
- Update to 2.3.3

* Tue Apr 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.2-2
- added  patch to build with valac 0.24
- changed to waf-1.7.16

* Wed Mar 26 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2

* Sat Mar 22 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.1-3
- added bzr requirement

* Sat Mar 22 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.1-2
- added vala-devel requirement

* Fri Mar 21 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.1-1
- Update to 2.3.1
- removed requirement vala-compat-devel

* Thu Feb 13 2014 Martin Gansser <martinkg@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0
- Added patch to use revision 805
- changed waf version in %%prep section

* Sun Dec 15 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-7
- add missing license type

* Sun Dec 15 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-6
- change %%description
- remove google-music-frame because it's not provided.
- correct %%RPM_BUILD_ROOT path
- add Xvfb to build requirement
- remove skip-tests build option
- add build option xvfb-run -a to build option

* Wed Dec 11 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-5
- cleanup build requires

* Sun Dec 08 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-4
- remove java requirement
- add tsocks as a runtime requirement
- remove exclusion of libnuvolaplayerprivate.so

* Sun Dec 08 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-3
- fix directory ownership
- add requires control-center-filesystem
- add requires java-1.7.0-openjdk
- fix dangling-relative-symlink

* Sat Dec 07 2013 Martin Gansser <martinkg@fedoraproject.org> - 2.2.0-2
- rebuild

* Sat Dec 07 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.2.0-1
- fix vala build requires
- add waf build requires
- add gstreamer1 build requires
- use external waf to build
- add libdir to waf commands
- vailidate desktop file
- fix source tag
- remove groups tag
- remove build tag
- remove defattr from file section
- add missing scriptlets


